PATCH · mentions:write

Update saved mention view

Update a saved mention filter preset.

REST

PATCH/api/v1/mention-views/:viewId
curl "https://www.stalkr.ai/api/v1/mention-views/:viewId" \
  --request PATCH \
  --header "Authorization: Bearer $STALKR_API_KEY" \
  --header "Content-Type: application/json" \
  --header "Idempotency-Key: unique-operation-key"

MCP

Tool name: update_mention_view

The MCP tool accepts the same input schema and returns the same structured { data, meta } result as REST.

Input

name

string

filters

object

order

integer

viewIdrequired

string

idempotencyKey

string

Unique key used to safely retry this write operation

Safe retries

Pass idempotencyKey to the MCP tool or Idempotency-Key to REST when retrying this write.

Authorization

Required scope: mentions:write.

Scope authorization is followed by resource authorization. Project operations check current membership and the minimum role required by the underlying workflow.

Related resources